@echo off
SET "SCRIPT_DIR=%~Dp0"
:: remove last backslash from %SCRIPT_DIR
set "SCRIPT_DIR=%SCRIPT_DIR:~0,-1%"

SET "SCRIPT_PATH_AND_NAME=%~dpnx0"
SET "TFTPBOOT=c:\tftpboot"
SET "PRG_DIR=c:\etc"
SET "SRC_DIR=%SCRIPT_DIR%\bin\MTFTP"
SET "MTFTP=mtftpd32.exe"
if "%PROCESSOR_ARCHITECTURE%" EQU "AMD64" SET "MTFTP=mtftpd64.exe"
if /I "%1" EQU "LOAD_SETTINGS" goto :EOF

rem *** Change to local drive and folder
cd /D %~Dp0
TITLE Install TFTP Server

cls
echo.
echo ################################################
echo #
echo # Start Installation of 
echo #
echo #      bootix TFTP server
echo #
echo ################################################
echo.
pause
start "" "..\TFTP-Server\setup.exe"